MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029331Open CASCADE[OCCT] OCCT:Visualizationpublic2017-11-16 22:562018-06-29 21:19
Reporterkgv 
Assigned Tokgv 
PrioritynormalSeverityintegration request 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.3.0Fixed in Version[OCCT] 7.3.0 
Summary0029331: Visualization, TKOpenGl - make OpenGl_PrimitiveArray::IsFillDrawMode() as virtual method of OpenGl_Element
DescriptionAccording to profiling data, dynamic_cast increases overhead of OpenGl_LayerList::OpenGl_OpaqueFilter::ShouldRender() considerably (ShouldRender() make take up to 5% of CPU time in the frame in case of a big amount of elements).

Thus, it is proposed moving OpenGl_PrimitiveArray::IsFillDrawMode() method to interface of base OpenGl_Element class.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships

-  Notes
(0072301)
git (administrator)
2017-11-16 23:00

Branch CR29331 has been created by kgv.

SHA-1: fc91751066787e245427af6bf306e6868e0c5aa1


Detailed log of new commits:

Author: kgv
Date: Thu Nov 16 22:57:48 2017 +0300

    0029331: Visualization, TKOpenGl - make OpenGl_PrimitiveArray::IsFillDrawMode() as virtual method of OpenGl_Element
(0072303)
git (administrator)
2017-11-16 23:35

Branch CR29331 has been updated forcibly by kgv.

SHA-1: 4e09793d16d1439de01678b5efcb23326a2f6b6e
(0072304)
kgv (developer)
2017-11-17 02:06

Patch is ready for review.
(0072597)
san (developer)
2017-11-29 19:21

Branch CR29331 reviewed without remarks, ready for testing.
(0072610)
bugmaster (administrator)
2017-11-30 11:00

Combination -
OCCT branch : CR29331 SHA - 4e09793d16d1439de01678b5efcb23326a2f6b6e
Products branch : master SHA - f67feaac4198a68556ed91368fbdc40829907d00
was compiled on Linux, MacOS and Windows platforms and tested on optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian70-64:
OCCT
Total CPU difference: 20669.63000000052 / 20769.880000000467 [-0.48%]
Products
Total CPU difference: 7851.580000000089 / 7901.260000000098 [-0.63%]
Windows-64-VC10:
OCCT
Total CPU difference: 18476.35283739856 / 18481.95327329852 [-0.03%]
Products
Total CPU difference: 7857.037165299989 / 7874.587277799976 [-0.22%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0072820)
git (administrator)
2017-12-07 21:08

Branch CR29331 has been deleted by kgv.

SHA-1: 4e09793d16d1439de01678b5efcb23326a2f6b6e

- Related Changesets
occt: master 64c6d8df
Timestamp: 2017-11-16 19:57:48
Author: kgv
Details ] Diff ]
0029331: Visualization, TKOpenGl - make OpenGl_PrimitiveArray::IsFillDrawMode() as virtual method of OpenGl_Element
mod - src/OpenGl/OpenGl_CappingAlgo.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Element.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_LayerList.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_PrimitiveArray.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-11-16 22:56 kgv New Issue
2017-11-16 22:56 kgv Assigned To => kgv
2017-11-16 22:59 kgv Description Updated View Revisions
2017-11-16 23:00 git Note Added: 0072301
2017-11-16 23:35 git Note Added: 0072303
2017-11-17 02:06 kgv Note Added: 0072304
2017-11-17 02:06 kgv Assigned To kgv => san
2017-11-17 02:06 kgv Status new => resolved
2017-11-29 19:21 san Note Added: 0072597
2017-11-29 19:21 san Assigned To san => bugmaster
2017-11-29 19:21 san Status resolved => reviewed
2017-11-30 11:00 bugmaster Test case number => Not required
2017-11-30 11:00 bugmaster Note Added: 0072610
2017-11-30 11:00 bugmaster Status reviewed => tested
2017-12-02 16:59 kgv Changeset attached => occt master 64c6d8df
2017-12-02 16:59 kgv Assigned To bugmaster => kgv
2017-12-02 16:59 kgv Status tested => verified
2017-12-02 16:59 kgv Resolution open => fixed
2017-12-07 21:08 git Note Added: 0072820
2018-02-20 12:58 user533 Target Version 7.4.0* => 7.3.0
2018-06-29 21:15 user533 Fixed in Version => 7.3.0
2018-06-29 21:19 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker